## kdewebkit 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KDEWebKit VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDEWEBKIT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF_DEP_VERSION} REQUIRED)

# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_FOREACH)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
# ideally we would support QT_NO_KEYWORDS, but at least we can do this
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # QWheelEvent::delta

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WebKit")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5WebKitConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5WebKitTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WebKitTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDEWebKit COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdewebkit (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:33 +0100

kdewebkit (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

kdewebkit (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:37 +0100

kdewebkit (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:07 +0100

kdewebkit (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:27 +0200

kdewebkit (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:42 +0200

kdewebkit (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:11 +0200

kdewebkit (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kdewebkit (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

kdewebkit (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5jobwidgets-dev (>= 5.103.0~),
               libkf5kio-dev (>= 5.103.0~),
               libkf5parts-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               libkf5wallet-dev (>= 5.103.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdewebkit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdewebkit.git
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54),

## kdewebkit 5.104.0

=== debian/changelog ===
kdewebkit (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:53 +0000

kdewebkit (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:47 +0000

kdewebkit (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:56:33 +0000

kdewebkit (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:55 +0000

kdewebkit (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:14:26 +0000

kdewebkit (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:58:43 +0000

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5jobwidgets-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5parts-dev (>= 5.104.0~),
               libkf5service-dev (>= 5.104.0~),
               libkf5wallet-dev (>= 5.104.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)

## kdewebkit 5.107.0

=== debian/changelog ===
kdewebkit (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:48 +0200

kdewebkit (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:04 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libkf5coreaddons-dev (>= 5.107.0~),
               libkf5jobwidgets-dev (>= 5.107.0~),
               libkf5kio-dev (>= 5.107.0~),
               libkf5parts-dev (>= 5.107.0~),
               libkf5service-dev (>= 5.107.0~),
               libkf5wallet-dev (>= 5.107.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdewebkit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdewebkit.git
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54),

## kdewebkit 5.109.0

=== debian/changelog ===
kdewebkit (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:48:36 +0100

kdewebkit (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:19:21 +0100

kdewebkit (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:59 +0100

kdewebkit (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:45:04 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5jobwidgets-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libkf5parts-dev (>= 5.109.0~),
               libkf5service-dev (>= 5.109.0~),
               libkf5wallet-dev (>= 5.109.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)

## kdewebkit 5.110.0

=== debian/changelog ===
kdewebkit (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5jobwidgets-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5parts-dev (>= 5.109.0~),
-               libkf5service-dev (>= 5.109.0~),
-               libkf5wallet-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5jobwidgets-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5parts-dev (>= 5.110.0~),
+               libkf5service-dev (>= 5.110.0~),
+               libkf5wallet-dev (>= 5.110.0~),
                libqt5webkit5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),

## kdewebkit 5.113.0

=== debian/changelog ===
kdewebkit (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:42:45 +0000

kdewebkit (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:47:35 +0000

kdewebkit (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5jobwidgets-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5parts-dev (>= 5.110.0~),
-               libkf5service-dev (>= 5.110.0~),
-               libkf5wallet-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5jobwidgets-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
+               libkf5parts-dev (>= 5.113.0~),
+               libkf5service-dev (>= 5.113.0~),
+               libkf5wallet-dev (>= 5.113.0~),
                libqt5webkit5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),

## kdewebkit 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project(KDEWebKit VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -76,4 +76,5 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDEWebKit COMPONENT Devel
 )
 
-feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
+include(ECMFeatureSummary)
+ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdewebkit (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:54 +0200

kdewebkit (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:01 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5jobwidgets-dev (>= 5.115.0~),
               libkf5kio-dev (>= 5.115.0~),
               libkf5parts-dev (>= 5.115.0~),
               libkf5service-dev (>= 5.115.0~),
               libkf5wallet-dev (>= 5.115.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdewebkit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdewebkit.git
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54),

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54),

## kdewebkit 5.116.0

=== debian/changelog ===
kdewebkit (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:41:37 +0100

kdewebkit (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:34:50 +0000

kdewebkit (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:53:17 +0000

kdewebkit (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:53:27 -0700

kdewebkit (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:10:59 -0700

kdewebkit (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)
  * Add ecm_feature_summary patch already applied upstream. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:48:59 -0700

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5jobwidgets-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5parts-dev (>= 5.116.0~),
               libkf5service-dev (>= 5.116.0~),
               libkf5wallet-dev (>= 5.116.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)
